# classes/phing/tasks/ext/phpunit/formatter/PlainPHPUnitResultFormatter.php

## \PlainPHPUnitResultFormatter
jump to top

Prints plain text output of the test to a specified Writer.

Extends from
  \PHPUnitResultFormatter
author
  Michiel Rook
package
  phing.tasks.ext.phpunit.formatter
since
  2.1.0
version
  $Id: PlainPHPUnitResultFormatter.php 792 2010-06-24 12:56:45Z mrook $

### Properties

`$inner= ''`
Details

Type

### Methods

`addError( $test, $e, $time ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test |  |
$e |  |
$time |  |

`addFailure( $test, $e, $time ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test |  |
$e |  |
$time |  |

`addIncompleteTest( $test, $e, $time ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test |  |
$e |  |
$time |  |

`addSkippedTest( $test, $e, $time ) :`
Parameters

Name | Type | Description
--- | --- | ---
$test |  |
$e |  |
$time |  |

`endTestRun( ) :`
`endTestSuite( $suite ) :`
Parameters

Name | Type | Description
--- | --- | ---
$suite |  |

`formatError( $type, $test, $e = null ) :`
Parameters

Name | Type | Description
--- | --- | ---
$type |  |
$test |  |
$e |  |

`getExtension( ) :`
`getPreferredOutfile( ) :`
`startTestSuite( $suite ) :`
Parameters

Name | Type | Description
--- | --- | ---
$suite |  |

Documentation was generated by DocBlox 0.13.1.